Package org.springframework.security.access.expression.method

# Interface MethodSecurityExpressionHandler

All Superinterfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`, `SecurityExpressionHandler<org.aopalliance.intercept.MethodInvocation>`

All Known Implementing Classes:
  `DefaultMethodSecurityExpressionHandler`

public interface MethodSecurityExpressionHandler extends SecurityExpressionHandler<org.aopalliance.intercept.MethodInvocation>
Extended expression-handler facade which adds methods which are specific to securing method invocations.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`Object`
`filter(Object filterTarget, org.springframework.expression.Expression filterExpression, org.springframework.expression.EvaluationContext ctx)`
Filters a target collection or array.
`void`
`setReturnObject(Object returnObject, org.springframework.expression.EvaluationContext ctx)`
Used to inform the expression system of the return object for the given evaluation context.

### Methods inherited from interface org.springframework.security.access.expression.SecurityExpressionHandler

`createEvaluationContext, createEvaluationContext, getExpressionParser`

## Method Details

### filter

Object filter(Object filterTarget, org.springframework.expression.Expression filterExpression, org.springframework.expression.EvaluationContext ctx)
Filters a target collection or array. Only applies to method invocations.

Parameters:
  `filterTarget` - the array or collection to be filtered.
  `filterExpression` - the expression which should be used as the filter condition. If it returns false on evaluation, the object will be removed from the returned collection
  `ctx` - the current evaluation context (as created through a call to `SecurityExpressionHandler.createEvaluationContext(org.springframework.security.core.Authentication, Object)`
Returns:
  the filtered collection or array

### setReturnObject

void setReturnObject(Object returnObject, org.springframework.expression.EvaluationContext ctx)
Used to inform the expression system of the return object for the given evaluation context. Only applies to method invocations.

Parameters:
  `returnObject` - the return object value
  `ctx` - the context within which the object should be set (as created through a call to `SecurityExpressionHandler.createEvaluationContext(org.springframework.security.core.Authentication, Object)`